/**
 * Copyright
 * All right reserved.
 * 项目名称:
 * 创建日期:2022/3/7
 */
package org.springblade.enums;

/***
 * Date:2022/3/7
 * Title:ETL数据抽取模式
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author admin
 * @mender：（文件的修改者，文件创建者之外的人）
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum EtlModeEnum {

    /** 按时间只抽一次 */
    ETL_ONCE(1, "只抽一次"),
	/** 抽最新一条 */
	ETL_LAST(2, "重复抽最新一条"),
	;

	private int code;

	private String name;

    private EtlModeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * Function:根据code来获取对应的name
     * Author: Admin
     * Date:2021/6/26
     * @param code
     * @return java.lang.String
     * @throws Exception
     */
    public static String getName(int code) {
        for (EtlModeEnum type : EtlModeEnum.values()) {
            if (type.code == code) {
                return type.name;
            }
        }
        return "";
    }


	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return com.zhgzjg.web.enums.IsValid
	 * @throws Exception
	 */
	public static EtlModeEnum getEnumByCode(int code) {
		for (EtlModeEnum type : EtlModeEnum.values()) {
			if (type.code == code) {
				return type;
			}
		}
		return null;
	}

	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static EtlModeEnum getEnumByName(String name) {
		for (EtlModeEnum type : EtlModeEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
